Results 1 to 3 of 3

Thread: hey this needed

  1. #1
    Join Date
    Apr 2007

    hey this needed

    i need pico2000 v1.9 the new and the top one man

  2. #2
    Join Date
    May 2006
    here is a link to a site where you can get the trial version here

  3. #3
    Neither darque nor pervert DarquePervert's Avatar
    Join Date
    Apr 2004
    And anything more than the tiral version would be warez. Warez are illegal, and as such, not allowed on these forums.
    Have you looked in the FAQ yet?
    How about the Wiki?

    Under normal circumstances, a signature would go here.

Similar Threads

  1. suggestion needed for ECU system
    By jake080 in forum Engine Management, OBD-II, Engine Diagnostics, etc.
    Replies: 11
    Last Post: 09-02-2004, 03:07 AM
  2. Amplifier Needed?
    By c0rrupti0n in forum Newbie
    Replies: 7
    Last Post: 03-15-2004, 03:04 AM
  3. My project for the day - advice needed
    By ddt in forum General MP3Car Discussion
    Replies: 2
    Last Post: 12-02-2002, 07:51 AM
  4. inverter needed
    By mp3z24 in forum LCD/Display
    Replies: 2
    Last Post: 02-08-2002, 02:10 PM
  5. First mp3car player. Help needed
    By Holden__V8 in forum General Hardware Discussion
    Replies: 4
    Last Post: 01-31-2002, 07:27 PM


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts